Open CASCADE Technology: XmlMFunction_FunctionDriver Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
XmlMFunction_FunctionDriver Class Reference

Attribute Driver. More...

`#include <XmlMFunction_FunctionDriver.hxx>`

Inheritance diagram for XmlMFunction_FunctionDriver:
[legend]

## Public Member Functions
| XmlMFunction_FunctionDriver (const Handle< CDM_MessageDriver > &theMessageDriver)
Handle< TDF_Attribute > | NewEmpty () const
| Creates a new attribute from TDF. More...
Standard_Boolean | Paste (const XmlObjMgt_Persistent &Source, const Handle< TDF_Attribute > &Target, XmlObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings. More...
void | Paste (const Handle< TDF_Attribute > &Source, XmlObjMgt_Persistent &Target, XmlObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings. More...
Public Member Functions inherited from XmlMDF_ADriver
virtual Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available. More...
Handle< Standard_Type > | SourceType () const
| Returns the type of source object, inheriting from Attribute from TDF. More...
const TCollection_AsciiString & | TypeName () const
| Returns the full XML tag name (including NS prefix) More...
void | WriteMessage (const TCollection_ExtendedString &theMessage) const
| Send message to Application (usually when error occurres) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from XmlMDF_ADriver
| XmlMDF_ADriver (const Handle< CDM_MessageDriver > &theMessageDriver, const Standard_CString theNamespace, const Standard_CString theName=NULL)
Protected Attributes inherited from XmlMDF_ADriver
TCollection_AsciiString | myTypeName

## Detailed Description

Attribute Driver.

## Constructor & Destructor Documentation

XmlMFunction_FunctionDriver::XmlMFunction_FunctionDriver | ( | const Handle< CDM_MessageDriver > & | theMessageDriver | ) |

## Member Function Documentation

Handle< TDF_Attribute > XmlMFunction_FunctionDriver::NewEmpty | ( |  | ) | const
| virtual

Creates a new attribute from TDF.

Implements XmlMDF_ADriver.

Standard_Boolean XmlMFunction_FunctionDriver::Paste | ( | const XmlObjMgt_Persistent & | aSource,
|  | const Handle< TDF_Attribute > & | aTarget,
|  | XmlObjMgt_RRelocationTable & | aRelocTable
| ) |  | const
| virtual

Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings.

Implements XmlMDF_ADriver.

void XmlMFunction_FunctionDriver::Paste | ( | const Handle< TDF_Attribute > & | aSource,
|  | XmlObjMgt_Persistent & | aTarget,
|  | XmlObjMgt_SRelocationTable & | aRelocTable
| ) |  | const
| virtual

Translate the contents of <aSource> and put it into <aTarget>, using the relocation table <aRelocTable> to keep the sharings.

Implements XmlMDF_ADriver.

The documentation for this class was generated from the following file:

- XmlMFunction_FunctionDriver.hxx